Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001413Core InformReleasing, bibliographic data, cBlorbpublic2014-09-07 19:382015-06-20 10:57
Reportercuriousdannii 
Assigned Tograham 
PrioritynormalSeveritycriticalReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86OSWindowsOS Version7
Product Version6L38 
Target VersionFixed in Version 
Summary0001413: Internal error when releasing with feelies (6L38)
DescriptionIn 6L38 releasing with feelies produces an internal error. The current sentence can be anything.
Minimal Source Text To Reproduce
There is a room.
Release along with a file of "Gargoyle config file" called "Kerkerkruip.ini".
Additional InformationProblem. An internal error has occurred: pathname not relative to pathname. The current sentence is '"Test" by Dannii' ; the error was detected at line 151 of "inform7/Chapter 3/Pathnames.w". This should never happen, and I am now halting in abject failure.
TagsNo tags attached.
Effect(critical) Compiler reports internal error
Attached Files

- Relationships
has duplicate 0001499closed Release along with a file of "Such-and-Such" called "Fred.txt" causes an internal error. 

-  Notes
(0003158)
zarf (developer)
2014-09-08 09:36

Confirmed.

In case it matters, the ni command line is:

Launching: ni "-internal" "/Applications/Local Apps/Inform-7/Inform-6L38.app/Contents/Resources/Internal" "-external" "/Users/zarf/Library/Containers/com.inform7.inform-compiler/Data/Library/Inform" "-project" "/Users/zarf/Downloads/I7-New/new-test.inform" "-format=ulx"

(0003408)
dougo (reporter)
2015-04-17 11:44

Is there any sort of workaround for this?
(0003880)
graham (administrator)
2015-06-20 10:57

Fixed.

- Issue History
Date Modified Username Field Change
2014-09-07 19:38 curiousdannii New Issue
2014-09-08 09:36 zarf Note Added: 0003158
2014-09-08 09:36 zarf Status new => confirmed
2014-09-08 09:38 zarf Product Version => 6L38
2014-12-07 13:32 zarf Relationship added has duplicate 0001499
2015-04-17 11:44 dougo Note Added: 0003408
2015-04-17 11:45 dougo Issue Monitored: dougo
2015-06-20 10:57 graham Note Added: 0003880
2015-06-20 10:57 graham Status confirmed => resolved
2015-06-20 10:57 graham Resolution open => fixed
2015-06-20 10:57 graham Assigned To => graham


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker